Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.juzu.request
Class ActionContext

    java.lang.Object
      org.juzu.request.RequestContext
          org.juzu.request.ActionContext

    public class ActionContext

extends RequestContext

Author:
  Julien Viet

Constructor Summary
`ActionContext(ControllerMethod method, ClassLoader classLoader, org.juzu.impl.spi.request.ActionBridge bridge)`

Method Summary
`Response.Action.Render` | `createResponse(ControllerMethod method)`
`Response.Action.Render` | `createResponse(ControllerMethod method, Object arg)`
`Response.Action.Render` | `createResponse(ControllerMethod method, Object[] args)`
`Phase` | `getPhase()`
`void` | `setResponse(Response.Action response)`

Methods inherited from class org.juzu.request.RequestContext
`getClassLoader, getHttpContext, getMethod, getParameters, getSecurityContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionContext

    public ActionContext(ControllerMethod method,
                         ClassLoader classLoader,
                         org.juzu.impl.spi.request.ActionBridge bridge)

Method Detail

### getPhase

    public Phase getPhase()

  Specified by:
    `getPhase` in class `RequestContext`

### createResponse

    public Response.Action.Render createResponse(ControllerMethod method)
                                          throws IllegalStateException

  Throws:
    `IllegalStateException`

### createResponse

    public Response.Action.Render createResponse(ControllerMethod method,
                                                 Object arg)
                                          throws IllegalStateException

  Throws:
    `IllegalStateException`

### createResponse

    public Response.Action.Render createResponse(ControllerMethod method,
                                                 Object[] args)
                                          throws IllegalStateException

  Throws:
    `IllegalStateException`

### setResponse

    public void setResponse(Response.Action response)
                     throws IOException,
                            IllegalStateException

  Throws:
    `IOException`
    `IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 eXo Platform SAS. All Rights Reserved.